Skip to content
Docs

SSO Connection

SSO Connection

Enable
client.Organizations.SSOConnection.Enable(ctx, organizationID, params) (*SSOConnection, error)
POST/organizations/{organization_id}/sso-connection
Retrieve
client.Organizations.SSOConnection.Get(ctx, organizationID, params) (*SSOConnection, error)
GET/organizations/{organization_id}/sso-connection
Update
client.Organizations.SSOConnection.Update(ctx, organizationID, params) (*SSOConnection, error)
PATCH/organizations/{organization_id}/sso-connection
Disable
client.Organizations.SSOConnection.Disable(ctx, organizationID, body) error
DELETE/organizations/{organization_id}/sso-connection
ModelsExpand Collapse
type SSOConnection struct{…}

SSO connection configuration for an organization

ID string

Unique identifier for the SSO connection

ClientID string

OAuth 2.0 client ID

ClientSecretSet bool

Whether a client secret is configured

CreatedAt Time

The time the entity was created in utc

formatdate-time
Identifier string

SSO provider identifier (e.g., issuer URL)

minLength1
maxLength2048
UpdatedAt Time

The time the entity was mostly recently updated in utc

formatdate-time
Permissions map[string, map[string, bool]]optional

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

Protocols SSOConnectionProtocoloptional

Protocol configuration for SSO connection

Oauth2 SSOConnectionProtocolOauth2optional

OAuth 2.0 protocol configuration for SSO connection

AuthorizationEndpoint stringoptional

OAuth 2.0 authorization endpoint

formaturi
AuthorizationParameters map[string, string]optional

Custom query parameters appended to authorization redirect URLs. Use for non-standard providers (e.g. Google prompt=consent, access_type=offline).

CodeChallengeMethodsSupported []stringoptional

Supported PKCE code challenge methods

JwksUri stringoptional

JSON Web Key Set endpoint

formaturi
RegistrationEndpoint stringoptional

OAuth 2.0 registration endpoint

formaturi
ScopesSupported []stringoptional

Supported OAuth 2.0 scopes

TokenEndpoint stringoptional

OAuth 2.0 token endpoint

formaturi
Openid SSOConnectionProtocolOpenidoptional

OpenID Connect protocol configuration for SSO connection

Scopes []stringoptional

Additional OIDC scopes to request from this provider during authentication (e.g. "groups"). Merged with the default scopes (openid, profile, email).

UserIdentifierClaim stringoptional

Name of a top-level string claim in the provider's ID Token to use as the user identifier on user creation. When not set, the user's Keycard ID is used.

UserinfoEndpoint stringoptional

OpenID Connect UserInfo endpoint

formaturi
type SSOConnectionProtocol struct{…}

Protocol configuration for SSO connection

Oauth2 SSOConnectionProtocolOauth2optional

OAuth 2.0 protocol configuration for SSO connection

AuthorizationEndpoint stringoptional

OAuth 2.0 authorization endpoint

formaturi
AuthorizationParameters map[string, string]optional

Custom query parameters appended to authorization redirect URLs. Use for non-standard providers (e.g. Google prompt=consent, access_type=offline).

CodeChallengeMethodsSupported []stringoptional

Supported PKCE code challenge methods

JwksUri stringoptional

JSON Web Key Set endpoint

formaturi
RegistrationEndpoint stringoptional

OAuth 2.0 registration endpoint

formaturi
ScopesSupported []stringoptional

Supported OAuth 2.0 scopes

TokenEndpoint stringoptional

OAuth 2.0 token endpoint

formaturi
Openid SSOConnectionProtocolOpenidoptional

OpenID Connect protocol configuration for SSO connection

Scopes []stringoptional

Additional OIDC scopes to request from this provider during authentication (e.g. "groups"). Merged with the default scopes (openid, profile, email).

UserIdentifierClaim stringoptional

Name of a top-level string claim in the provider's ID Token to use as the user identifier on user creation. When not set, the user's Keycard ID is used.

UserinfoEndpoint stringoptional

OpenID Connect UserInfo endpoint

formaturi